
Cognitive Interaction Toolkit - Bug #494

number values need to be parsed from string

2017-01-19 13:33 - Robert Haschke

Status: Resolved Start date: 2017-01-19

Priority: Normal Due date:  

Assignee: Jan Moringen % Done: 100%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

In a similar fashion as you handle booleans now, you need to parse number values (and possibly other values) from strings when

you expect a number.

Defining

"junit.health-scale-factor": "${next-value|1.0}"

 

causes the following error:

DEPLOYMENT-ERROR:

    Error during deployment of #&lt;PROJECT urdf {100DFE38C3}&gt; » #&lt;VERSION urdf:kinetic-devel {100E0F4373}&gt; »

 #&lt;JOB urdf:kinetic-devel:toolkit {100E115773}&gt; Caused by:

    > The value "1.0" cannot be interpreted as a value of type (OR NULL ALEXANDRIA.0.DEV:POSITIVE-REAL).

History

#1 - 2017-01-19 13:34 - Robert Haschke

- Category set to build-generator

- Assignee set to Jan Moringen

#2 - 2019-01-16 11:19 - Jan Moringen

- Status changed from New to Resolved

- % Done changed from 0 to 100

This should work everywhere now. If there are still instances of this, please file a new issue.
